Cyberduck Mountain Duck CLI

#10790 closed feature (fixed)

Support me-south-1 region

Reported by: seme1 Owned by: dkocher
Priority: normal Milestone: 7.4
Component: s3 Version: 7.0.1
Severity: normal Keywords: s3 Bahrain me-south-1
Cc: Architecture:
Platform: Windows 10

Description

Hello, Duck (the command line tool) doesn't have support for S3 region me-south-1. I noticed that a previous support ticket was opened for Cyberduck and there are nightly/snapshot builds for Cyberduck 7.1 .

However, there seems to be none for duck 7.1 to be run on Windows. Also, I couldn't find any instructions on how to build a nightly/snapshot of the latest duck to be run on Windows.

Change History (10)

comment:1 Changed on Sep 2, 2019 at 6:31:42 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from duck does not support S3 me-south-1 region to Support me-south-1 region

comment:2 Changed on Sep 2, 2019 at 6:34:42 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r47442.

comment:3 Changed on Apr 28, 2020 at 7:51:53 PM by dkocher

  • Milestone changed from 7.1 to 8.0
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:4 Changed on Apr 29, 2020 at 6:58:30 AM by dkocher

There is currently an issue accessing recently announced regions me-south-1, eu-south-1, af-south-1 that requires an update to our handling of _Virtual Hosted-Style Requests_ to include the region.

The eu-south-1 location constraint is incompatible for the region specific endpoint this request was sent to. 

comment:5 Changed on May 1, 2020 at 7:03:18 PM by dkocher

The legacy global endpoint is also used for virtual hosted-style requests in other supported Regions. If you create a bucket in a Region that was launched before March 20, 2019 and use the legacy global endpoint, Amazon S3 updates the DNS to reroute the request to the correct location, which might take time. In the meantime, the default rule applies, and your virtual hosted–style request goes to the US East (N. Virginia) Region. Amazon S3 then redirects it with an HTTP 307 redirect to the correct Region. For S3 buckets in Regions launched after March 20, 2019, the DNS doesn't route your request directly to the AWS Region where your bucket resides. It returns an HTTP 400 Bad Request error instead. For more information, see Request redirection and the REST API.

comment:6 Changed on May 1, 2020 at 7:04:12 PM by dkocher

Will be fixed in conjunction with #11036.

comment:7 Changed on May 2, 2020 at 1:44:47 PM by dkocher

  • Status changed from reopened to new

comment:8 Changed on May 2, 2020 at 1:44:51 PM by dkocher

  • Status changed from new to assigned

comment:9 Changed on May 4, 2020 at 9:48:20 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r49175.

comment:10 Changed on May 22, 2020 at 9:12:36 AM by dkocher

  • Milestone changed from 8.0 to 7.4
Note: See TracTickets for help on using tickets.
swiss made software